#!/usr/bin/env node
import figlet from 'figlet'
import spawn from 'cross-spawn'
import { Command } from 'commander'

console.log(figlet.textSync('Sertis Boilerplate'))

const program = new Command()
program
  .version('0.0.1')
  .description('An generate CLI for managing a repository')
  .option('-i, --init', 'Init repository')
  .parse(process.argv)

const options = program.opts<{ init: boolean }>()

if (!process.argv.slice(2).length) {
  program.outputHelp()
}

if (options['init']) {
  spawn('npx', [ 'hygen', 'init', 'repo' ], { stdio: 'inherit' }).on('exit', function (exitCode, signal) {
    if (typeof exitCode === 'number') {
      process.exit(exitCode)
    } else {
      process.kill(process.pid, signal as string)
    }
  })
}
